Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JMenu.AccessibleJMenu

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.AbstractButton.AccessibleAbstractButton
                        |
                        +--javax.swing.JMenuItem.AccessibleJMenuItem
                              |
                              +--javax.swing.JMenu.AccessibleJMenu

protected class JMenu.AccessibleJMenu
extends JMenuItem.AccessibleJMenuItem
implements AccessibleSelection

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`protected` | `JMenu.AccessibleJMenu()`

Method Summary
`void` | `addAccessibleSelection(int i)` Selects the nth menu in the menu.
`void` | `clearAccessibleSelection()` Clears the selection in the object, so that nothing in the object is selected.
`Accessible` | `getAccessibleChild(int i)` Return the nth Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of accessible children in the object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()` Get the AccessibleSelection associated with this object if one exists.
`Accessible` | `getAccessibleSelection(int i)` Returns the currently selected sub-menu if one is selected, otherwise null (there can only be one selection, and it can only be a sub-menu, as otherwise menu items don't remain selected).
`int` | `getAccessibleSelectionCount()` Returns 1 if a sub-menu is currently selected in this menu.
`boolean` | `isAccessibleChildSelected(int i)` Returns true if the current child of this object is selected.
`void` | `removeAccessibleSelection(int i)` Removes the nth item from the selection.
`void` | `selectAllAccessibleSelection()` Normally causes every selected item in the object to be selected if the object supports multiple selections.

Methods inherited from class javax.swing.JMenuItem.AccessibleJMenuItem
`stateChanged`

Methods inherited from class javax.swing.AbstractButton.AccessibleAbstractButton
`doAccessibleAction, getAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleName, getAccessibleStateSet, getAccessibleValue, getCurrentAccessibleValue, getMaximumAccessibleValue, getMinimumAccessibleValue, setCurrentAccessibleValue`

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMenu.AccessibleJMenu

    protected JMenu.AccessibleJMenu()

Method Detail

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of accessible children in the object. If all of the children of this object implement Accessible, than this method should return the number of children of this object.
  Returns:
    the number of accessible children in the object.
  Overrides:
    getAccessibleChildrenCount in class JComponent.AccessibleJComponent

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the nth Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the nth Accessible child of the object
  Overrides:
    getAccessibleChild in class JComponent.AccessibleJComponent

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class JMenuItem.AccessibleJMenuItem
  See Also:
    `AccessibleRole`

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Get the AccessibleSelection associated with this object if one exists. Otherwise return null.
  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleSelectionCount

    public int getAccessibleSelectionCount()

  Returns 1 if a sub-menu is currently selected in this menu.
  Specified by:
    getAccessibleSelectionCount in interface AccessibleSelection
  Returns:
    1 if a menu is currently selected, else 0

### getAccessibleSelection

    public Accessible getAccessibleSelection(int i)

  Returns the currently selected sub-menu if one is selected, otherwise null (there can only be one selection, and it can only be a sub-menu, as otherwise menu items don't remain selected).
  Specified by:
    getAccessibleSelection in interface AccessibleSelection

### isAccessibleChildSelected

    public boolean isAccessibleChildSelected(int i)

  Returns true if the current child of this object is selected. (i.e. if this child is a pop-ed up sub-menu)
  Specified by:
    isAccessibleChildSelected in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of the child in this Accessible object.
  See Also:
    `AccessibleContext.getAccessibleChild(int)`

### addAccessibleSelection

    public void addAccessibleSelection(int i)

  Selects the nth menu in the menu. If that item is a sub-menu, it will pop up in response. If a different item is already popped up, this will force it to close. If this is a sub-menu that is already poppoed up (selected), this method has no effect.
  Specified by:
    addAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items
  See Also:
    `AbstractButton.AccessibleAbstractButton.getAccessibleStateSet()`

### removeAccessibleSelection

    public void removeAccessibleSelection(int i)

  Removes the nth item from the selection. In general, menus can only have one item within them selected at a time (e.g. one sub-menu popped open).
  Specified by:
    removeAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of the selected item

### clearAccessibleSelection

    public void clearAccessibleSelection()

  Clears the selection in the object, so that nothing in the object is selected. This will close any open sub-menu.
  Specified by:
    clearAccessibleSelection in interface AccessibleSelection

### selectAllAccessibleSelection

    public void selectAllAccessibleSelection()

  Normally causes every selected item in the object to be selected if the object supports multiple selections. This method makes no sense in a menu bar, and so does nothing.
  Specified by:
    selectAllAccessibleSelection in interface AccessibleSelection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.